Retrieves a Release resource.
curl --request GET \
--url https://www.fmdb.net/api/releases/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fmdb.net/api/releases/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fmdb.net/api/releases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "Release",
"id": "/api/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"attributes": {
"title": "The Godfather",
"_type": "album",
"disambiguation": "Complete Score",
"releasedate": "2024-01-15",
"country": "US",
"catalognumber": "VS-5051",
"copies": 5000,
"notes": "Limited edition release.",
"slug": "the-godfather-complete-score",
"packaging_type": {
"id": "a1b2c3d4-1111-4000-8000-000000000001",
"name": "Jewel Case",
"slug": "jewel-case"
},
"published": true,
"locked": false,
"lifecycle_status": "released",
"created_at": "2024-01-15T10:00:00+00:00",
"updated_at": "2024-01-15T14:30:00+00:00",
"total_tracks": 12,
"total_duration": 3600,
"artists": [
{
"iri": "/api/artists/a1b2c3d4",
"id": "a1b2c3d4",
"name": "Nino Rota",
"name_variation": null,
"position": 0,
"join_phrase": " feat. ",
"credit_role": "main"
},
{
"iri": "/api/artists/b2c3d4e5",
"id": "b2c3d4e5",
"name": "Carlo Savina",
"name_variation": null,
"position": 1,
"join_phrase": null,
"credit_role": "featured"
}
],
"artist_credit": "Nino Rota feat. Carlo Savina",
"labels": [],
"productions": [],
"credits": [],
"images": [],
"identifiers": [],
"track_labels": [],
"tags": [
"score",
"orchestral"
],
"recordings": []
}
}
}{
"errors": [
{
"id": "<string>",
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>",
"meta": {},
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
}
}
]
}Release
Retrieves a Release resource.
Retrieves a Release resource.
GET
/
api
/
releases
/
{id}
Retrieves a Release resource.
⌘I
